> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/server/es/knowledge-base/troubleshooting-articles/devolutions-server-performance-issues.md).

# Problemas de rendimiento de Devolutions Server

El [soporte de Devolutions](mailto:service@devolutions.net) puede ayudarle con los problemas de rendimiento de Devolutions Server. Para ello, se debe generar el ***informe*** ***Disk usage by Top Tables*** de ***SQL Server Management Studio (SSMS)*** para evaluar el número de registros en tablas específicas de la base de datos.

1. Abra ***SQL Server Management Studio (SSMS)***.
2. Haga clic derecho en la base de datos y seleccione ***Reports*** – ***Standard Reports*** – ***Disk Usage by Top Tables***.
3. Envíe el informe a <service@devolutions.net>.

Aquí tiene un ejemplo del aspecto que tiene el informe.

![](https://cdnweb.devolutions.net/docs/DVLS6078_2024_2.png)

Aquí tiene la ***consulta SQL*** para obtener el mismo resultado si la base de datos está alojada en ***Azure***.

```
SELECT TOP 1000
        a3.name AS SchemaName,
        a2.name AS TableName,
        a1.rows as Row_Count,
        (a1.reserved )* 8.0 / 1024 AS reserved_mb,
        a1.data * 8.0 / 1024 AS data_mb,
        (CASE WHEN (a1.used ) > a1.data THEN (a1.used ) - a1.data ELSE 0 END) * 8.0 / 1024 AS index_size_mb,
        (CASE WHEN (a1.reserved ) > a1.used THEN (a1.reserved ) - a1.used ELSE 0 END) * 8.0 / 1024 AS unused_mb
    FROM    (   SELECT
                ps.object_id,
                SUM ( CASE WHEN (ps.index_id < 2) THEN row_count    ELSE 0 END ) AS [rows],
                SUM (ps.reserved_page_count) AS reserved,
                SUM (CASE   WHEN (ps.index_id < 2) THEN (ps.in_row_data_page_count + ps.lob_used_page_count + ps.row_overflow_used_page_count)
                            ELSE (ps.lob_used_page_count + ps.row_overflow_used_page_count) END
                    ) AS data,
                SUM (ps.used_page_count) AS used
                FROM sys.dm_db_partition_stats ps
                GROUP BY ps.object_id
            ) AS a1
    INNER JOIN sys.all_objects a2  ON ( a1.object_id = a2.object_id )
    INNER JOIN sys.schemas a3 ON (a2.schema_id = a3.schema_id)
    WHERE a2.type <> N'S' and a2.type <> N'IT'
    order by a1.reserved desc
```

{% hint style="info" %}
Las [Políticas de retención de la base de datos](/server/es/web-interface/administration/database-retention-policies.md) en la sección ***Administración*** pueden ayudar a reducir el número de registros en la tabla del informe archivando o eliminando automáticamente los registros antiguos.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.devolutions.net/server/es/knowledge-base/troubleshooting-articles/devolutions-server-performance-issues.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
